/********************************
 * CONFIGURAZIONE - MAPPING ZONE PER TRACCIAMENTO
 ********************************
 */

//url da non tracciare
var blackListUrls = new Array();

//mappa per tracciamento delle url
var mappingZone = {};             

//funzione di utilita' per il logging nella console
function log(message) {
	if(typeof window.console!='undefined' && window.console!=null && typeof message!='undefined' ) {
		console.log(message);
	}
}

//setta il mapping per il tracciamento delle url
function setMappingZone() {
	mappingZone["DRL"] = "ul.piu_letti li"; //box piu letti
	mappingZone["DRC"] = "ul.piu_commentati li"; //box piu commentati
	//mappingZone["DRM"+ $('ul#history').('class')] = "#history li"; //box storia

	/* Carica il mapping per i link del box la storia */
	var historyId = getHistoryId("#history");
	//console.log(historyId);
	if(historyId!=null) {
		mappingZone["DRM-"+historyId] = "#history li"; //box storia
	}
	
    var childrenHistoryId = $("ul.history_children li:not(.label):first a").attr("ref");
    if(childrenHistoryId!=null) {
       mappingZone["NRCT-"+childrenHistoryId] = "ul.history_children li"; //box storia 
    }
    
    var parentsHistoryId = $("ul.history_parents li:not(.label):first a").attr("ref");
    if(parentsHistoryId!=null) {
       mappingZone["NRCT-"+parentsHistoryId] = "ul.history_parents li"; //box storia 
    }
}

//carica l'id della storia
function getHistoryId(jSelector) {
        var historyId = null;
	if(typeof jSelector!='undefined' && $(jSelector).length>0) {
                var classes = $(jSelector).attr("class");
                var classesSplitted = classes.split(" ");
                if(classesSplitted.length>0) {
                        $.each(classesSplitted, function(index) {
                                var classHtml = $.trim(classesSplitted[index]);
                                if(classHtml.indexOf("history_")==0) {
                                        historyId = classHtml.replace("history_","");
                                        return false;
                                }
                        });
                }
        }
        return historyId;
}


$(document).ready(function() {
	if(window.RenderSocial !== undefined){
		RenderSocial.isInvited("detail", function(){
			social();
		});
	}
	setMappingZone();
	collapse();
	networkGELE();
	sitesearch();
	tab("articles-charts",1,30);
	footnotes("Indice dei link");
	utilitytools();
	topics();
	thumb_ul_icons("ul#history");
	fixfooteradv();

	smallresolution($(this).width());
    $(window).resize(function() {
        smallresolution($(this).width());
    });
    likebutton();
    twitterButton();
	sethomepage();

    //googleplusone
    var googleplusoneIds = {};
    googleplusoneIds["googleplusone-foot"] = {"size": "medium", "count": "true", "lang":"it"};
    googleplusoneIds["googleplusone-head"] = {"size": "medium", "count": "true", "lang":"it"};
    googlePlusButton(googleplusoneIds);

    contentsenseRender();
}); // /documentready

/*
CSS Browser Selector v0.4.0b (Nov 02, 2010)
Rafael Lima (http://rafael.adm.br)
http://rafael.adm.br/css_browser_selector
License: http://creativecommons.org/licenses/by/2.5/
Contributors: http://rafael.adm.br/css_browser_selector#contributors
mod by f.parrella https://twitter.com/#!/fparrella/status/148914877476515840
*/
function css_browser_selector(u){var ua=u.toLowerCase(),is=function(t){return ua.indexOf(t)>-1},g='gecko',w='webkit',s='safari',o='opera',m='mobile',i='ios_',h=document.documentElement,b=[(!(/opera|webtv/i.test(ua))&&/msie\s(\d)/.test(ua))?('ie ie'+RegExp.$1):is('firefox/2')?g+' ff2':is('firefox/3.5')?g+' ff3 ff3_5':is('firefox/3.6')?g+' ff3 ff3_6':is('firefox/3')?g+' ff3':is('gecko/')?g:is('opera')?o+(/version\/(\d+)/.test(ua)?' '+o+RegExp.$1:(/opera(\s|\/)(\d+)/.test(ua)?' '+o+RegExp.$2:'')):is('konqueror')?'konqueror':is('blackberry')?m+' blackberry':is('android')?m+' android':is('chrome')?w+' chrome':is('iron')?w+' iron':is('applewebkit/')?w+' '+s+(/version\/(\d+)/.test(ua)?' '+s+RegExp.$1:''):is('mozilla/')?g:'',is('j2me')?m+' j2me':is('iphone')?m+' iphone':is('ipod')?m+' ipod':is('ipad')?m+' ipad':'',(/iphone|ipod|ipad/i.test(ua))?(/OS\s(\w*) like Mac OS X/i.test(ua))?i+RegExp.$1+' '+i+RegExp.$1.charAt(0):'':'',is('mac')?'mac':is('darwin')?'mac':is('webtv')?'webtv':is('win')?'win'+(is('windows nt 6.0')?' vista':''):is('freebsd')?'freebsd':(is('x11')||is('linux'))?'linux':'','js'];c=b.join(' ');h.className+=' '+c;return c;};css_browser_selector(navigator.userAgent);


/*Yetii - Yet (E)Another Tab Interface Implementation,version 1.6,http://www.kminek.pl/lab/yetii/,Copyright (c) Grzegorz Wojcik,Code licensed under the BSD License: http://www.kminek.pl/bsdlicense.txt*/
function Yetii(){this.defaults={id:null,active:1,interval:null,wait:null,persist:null,tabclass:'tab',activeclass:'active',callback:null,leavecallback:null};this.activebackup=null;for(var n in arguments[0]){this.defaults[n]=arguments[0][n]};this.getTabs=function(){var a=[];var b=document.getElementById(this.defaults.id).getElementsByTagName('*');var c=new RegExp("(^|\\s)"+this.defaults.tabclass.replace(/\-/g,"\\-")+"(\\s|$)");for(var i=0;i<b.length;i++){if(c.test(b[i].className))a.push(b[i])}return a};this.links=document.getElementById(this.defaults.id+'-nav').getElementsByTagName('a');this.listitems=document.getElementById(this.defaults.id+'-nav').getElementsByTagName('li');this.show=function(a){for(var i=0;i<this.tabs.length;i++){this.tabs[i].style.display=((i+1)==a)?'block':'none';if((i+1)==a){this.addClass(this.links[i],this.defaults.activeclass);this.addClass(this.listitems[i],this.defaults.activeclass+'li')}else{this.removeClass(this.links[i],this.defaults.activeclass);this.removeClass(this.listitems[i],this.defaults.activeclass+'li')}}if(this.defaults.leavecallback&&(a!=this.activebackup))this.defaults.leavecallback(this.defaults.active);this.activebackup=a;this.defaults.active=a;if(this.defaults.callback)this.defaults.callback(a)};this.rotate=function(a){this.show(this.defaults.active);this.defaults.active++;if(this.defaults.active>this.tabs.length)this.defaults.active=1;var b=this;if(this.defaults.wait)clearTimeout(this.timer2);this.timer1=setTimeout(function(){b.rotate(a)},a*1000)};this.next=function(){var a=(this.defaults.active+1>this.tabs.length)?1:this.defaults.active+1;this.show(a);this.defaults.active=a};this.previous=function(){var a=((this.defaults.active-1)==0)?this.tabs.length:this.defaults.active-1;this.show(a);this.defaults.active=a};this.previous=function(){this.defaults.active--;if(!this.defaults.active)this.defaults.active=this.tabs.length;this.show(this.defaults.active)};this.gup=function(a){a=a.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");var b="[\\?&]"+a+"=([^&#]*)";var c=new RegExp(b);var d=c.exec(window.location.href);if(d==null)return null;else return d[1]};this.parseurl=function(a){var b=this.gup(a);if(b==null)return null;if(parseInt(b))return parseInt(b);if(document.getElementById(b)){for(var i=0;i<this.tabs.length;i++){if(this.tabs[i].id==b)return(i+1)}}return null};this.createCookie=function(a,b,c){if(c){var d=new Date();d.setTime(d.getTime()+(c*24*60*60*1000));var e="; expires="+d.toGMTString()}else var e="";document.cookie=a+"="+b+e+"; path=/"};this.readCookie=function(a){var b=a+"=";var d=document.cookie.split(';');for(var i=0;i<d.length;i++){var c=d[i];while(c.charAt(0)==' ')c=c.substring(1,c.length);if(c.indexOf(b)==0)return c.substring(b.length,c.length)}return null};this.contains=function(a,b,c){return a.indexOf(b,c)!=-1};this.hasClass=function(a,b){return this.contains(a.className,b,' ')};this.addClass=function(a,b){if(!this.hasClass(a,b))a.className=(a.className+' '+b).replace(/\s{2,}/g,' ').replace(/^\s+|\s+$/g,'')};this.removeClass=function(a,b){a.className=a.className.replace(new RegExp('(^|\\s)'+b+'(?:\\s|$)'),'$1');a.className.replace(/\s{2,}/g,' ').replace(/^\s+|\s+$/g,'')};this.tabs=this.getTabs();this.defaults.active=(this.parseurl(this.defaults.id))?this.parseurl(this.defaults.id):this.defaults.active;if(this.defaults.persist&&this.readCookie(this.defaults.id))this.defaults.active=this.readCookie(this.defaults.id);this.activebackup=this.defaults.active;this.show(this.defaults.active);var f=this;for(var i=0;i<this.links.length;i++){this.links[i].customindex=i+1;this.links[i].onclick=function(){if(f.timer1)clearTimeout(f.timer1);if(f.timer2)clearTimeout(f.timer2);f.show(this.customindex);if(f.defaults.persist)f.createCookie(f.defaults.id,this.customindex,0);if(f.defaults.wait)f.timer2=setTimeout(function(){f.rotate(f.defaults.interval)},f.defaults.wait*1000);return false}}if(this.defaults.interval)this.rotate(this.defaults.interval)};

 
 /** jCarousel - Riding carousels with jQuery Copyright (c) 2006 Jan Sorgalla (http://sorgalla.com) */
eval(function(p,a,c,k,e,r){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--)r[e(c)]=k[c]||e(c);k=[function(e){return r[e]}];e=function(){return'\\w+'};c=1};while(c--)if(k[c])p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c]);return p}('(9($){$.1s.A=9(o){z 4.14(9(){2H r(4,o)})};8 q={W:F,23:1,1G:1,u:7,15:3,16:7,1H:\'2I\',24:\'2J\',1i:0,B:7,1j:7,1I:7,25:7,26:7,27:7,28:7,29:7,2a:7,2b:7,1J:\'<N></N>\',1K:\'<N></N>\',2c:\'2d\',2e:\'2d\',1L:7,1M:7};$.A=9(e,o){4.5=$.17({},q,o||{});4.Q=F;4.D=7;4.H=7;4.t=7;4.R=7;4.S=7;4.O=!4.5.W?\'1N\':\'2f\';4.E=!4.5.W?\'2g\':\'2h\';8 a=\'\',1d=e.J.1d(\' \');1k(8 i=0;i<1d.K;i++){6(1d[i].2i(\'A-2j\')!=-1){$(e).1t(1d[i]);8 a=1d[i];1l}}6(e.2k==\'2K\'||e.2k==\'2L\'){4.t=$(e);4.D=4.t.18();6(4.D.1m(\'A-H\')){6(!4.D.18().1m(\'A-D\'))4.D=4.D.B(\'<N></N>\');4.D=4.D.18()}X 6(!4.D.1m(\'A-D\'))4.D=4.t.B(\'<N></N>\').18()}X{4.D=$(e);4.t=$(e).2M(\'>2l,>2m,N>2l,N>2m\')}6(a!=\'\'&&4.D.18()[0].J.2i(\'A-2j\')==-1)4.D.B(\'<N 2N=" \'+a+\'"></N>\');4.H=4.t.18();6(!4.H.K||!4.H.1m(\'A-H\'))4.H=4.t.B(\'<N></N>\').18();4.S=$(\'.A-11\',4.D);6(4.S.u()==0&&4.5.1K!=7)4.S=4.H.1u(4.5.1K).11();4.S.V(4.J(\'A-11\'));4.R=$(\'.A-19\',4.D);6(4.R.u()==0&&4.5.1J!=7)4.R=4.H.1u(4.5.1J).11();4.R.V(4.J(\'A-19\'));4.H.V(4.J(\'A-H\'));4.t.V(4.J(\'A-t\'));4.D.V(4.J(\'A-D\'));8 b=4.5.16!=7?1n.1O(4.1o()/4.5.16):7;8 c=4.t.2O(\'1v\');8 d=4;6(c.u()>0){8 f=0,i=4.5.1G;c.14(9(){d.1P(4,i++);f+=d.T(4,b)});4.t.y(4.O,f+\'U\');6(!o||o.u===L)4.5.u=c.u()}4.D.y(\'1w\',\'1x\');4.R.y(\'1w\',\'1x\');4.S.y(\'1w\',\'1x\');4.2n=9(){d.19()};4.2o=9(){d.11()};4.1Q=9(){d.2p()};6(4.5.1j!=7)4.5.1j(4,\'2q\');6($.2r.2s){4.1e(F,F);$(2t).1y(\'2P\',9(){d.1z()})}X 4.1z()};8 r=$.A;r.1s=r.2Q={A:\'0.2.3\'};r.1s.17=r.17=$.17;r.1s.17({1z:9(){4.C=7;4.G=7;4.Y=7;4.12=7;4.1a=F;4.1f=7;4.P=7;4.Z=F;6(4.Q)z;4.t.y(4.E,4.1A(4.5.1G)+\'U\');8 p=4.1A(4.5.23);4.Y=4.12=7;4.1p(p,F);$(2t).1R(\'2u\',4.1Q).1y(\'2u\',4.1Q)},2v:9(){4.t.2w();4.t.y(4.E,\'2R\');4.t.y(4.O,\'2S\');6(4.5.1j!=7)4.5.1j(4,\'2v\');4.1z()},2p:9(){6(4.P!=7&&4.Z)4.t.y(4.E,r.I(4.t.y(4.E))+4.P);4.P=7;4.Z=F;6(4.5.1I!=7)4.5.1I(4);6(4.5.16!=7){8 a=4;8 b=1n.1O(4.1o()/4.5.16),O=0,E=0;$(\'1v\',4.t).14(9(i){O+=a.T(4,b);6(i+1<a.C)E=O});4.t.y(4.O,O+\'U\');4.t.y(4.E,-E+\'U\')}4.15(4.C,F)},2T:9(){4.Q=1g;4.1e()},2U:9(){4.Q=F;4.1e()},u:9(s){6(s!=L){4.5.u=s;6(!4.Q)4.1e()}z 4.5.u},2V:9(i,a){6(a==L||!a)a=i;6(4.5.u!==7&&a>4.5.u)a=4.5.u;1k(8 j=i;j<=a;j++){8 e=4.M(j);6(!e.K||e.1m(\'A-1b-1B\'))z F}z 1g},M:9(i){z $(\'.A-1b-\'+i,4.t)},2x:9(i,s){8 e=4.M(i),1S=0,2x=0;6(e.K==0){8 c,e=4.1C(i),j=r.I(i);1q(c=4.M(--j)){6(j<=0||c.K){j<=0?4.t.2y(e):c.1T(e);1l}}}X 1S=4.T(e);e.1t(4.J(\'A-1b-1B\'));1U s==\'2W\'?e.2X(s):e.2w().2Y(s);8 a=4.5.16!=7?1n.1O(4.1o()/4.5.16):7;8 b=4.T(e,a)-1S;6(i>0&&i<4.C)4.t.y(4.E,r.I(4.t.y(4.E))-b+\'U\');4.t.y(4.O,r.I(4.t.y(4.O))+b+\'U\');z e},1V:9(i){8 e=4.M(i);6(!e.K||(i>=4.C&&i<=4.G))z;8 d=4.T(e);6(i<4.C)4.t.y(4.E,r.I(4.t.y(4.E))+d+\'U\');e.1V();4.t.y(4.O,r.I(4.t.y(4.O))-d+\'U\')},19:9(){4.1D();6(4.P!=7&&!4.Z)4.1W(F);X 4.15(((4.5.B==\'1X\'||4.5.B==\'G\')&&4.5.u!=7&&4.G==4.5.u)?1:4.C+4.5.15)},11:9(){4.1D();6(4.P!=7&&4.Z)4.1W(1g);X 4.15(((4.5.B==\'1X\'||4.5.B==\'C\')&&4.5.u!=7&&4.C==1)?4.5.u:4.C-4.5.15)},1W:9(b){6(4.Q||4.1a||!4.P)z;8 a=r.I(4.t.y(4.E));!b?a-=4.P:a+=4.P;4.Z=!b;4.Y=4.C;4.12=4.G;4.1p(a)},15:9(i,a){6(4.Q||4.1a)z;4.1p(4.1A(i),a)},1A:9(i){6(4.Q||4.1a)z;i=r.I(i);6(4.5.B!=\'1c\')i=i<1?1:(4.5.u&&i>4.5.u?4.5.u:i);8 a=4.C>i;8 b=r.I(4.t.y(4.E));8 f=4.5.B!=\'1c\'&&4.C<=1?1:4.C;8 c=a?4.M(f):4.M(4.G);8 j=a?f:f-1;8 e=7,l=0,p=F,d=0;1q(a?--j>=i:++j<i){e=4.M(j);p=!e.K;6(e.K==0){e=4.1C(j).V(4.J(\'A-1b-1B\'));c[a?\'1u\':\'1T\'](e)}c=e;d=4.T(e);6(p)l+=d;6(4.C!=7&&(4.5.B==\'1c\'||(j>=1&&(4.5.u==7||j<=4.5.u))))b=a?b+d:b-d}8 g=4.1o();8 h=[];8 k=0,j=i,v=0;8 c=4.M(i-1);1q(++k){e=4.M(j);p=!e.K;6(e.K==0){e=4.1C(j).V(4.J(\'A-1b-1B\'));c.K==0?4.t.2y(e):c[a?\'1u\':\'1T\'](e)}c=e;8 d=4.T(e);6(d==0){2Z(\'30: 31 1N/2f 32 1k 33. 34 35 36 37 38 39. 3a...\');z 0}6(4.5.B!=\'1c\'&&4.5.u!==7&&j>4.5.u)h.3b(e);X 6(p)l+=d;v+=d;6(v>=g)1l;j++}1k(8 x=0;x<h.K;x++)h[x].1V();6(l>0){4.t.y(4.O,4.T(4.t)+l+\'U\');6(a){b-=l;4.t.y(4.E,r.I(4.t.y(4.E))-l+\'U\')}}8 n=i+k-1;6(4.5.B!=\'1c\'&&4.5.u&&n>4.5.u)n=4.5.u;6(j>n){k=0,j=n,v=0;1q(++k){8 e=4.M(j--);6(!e.K)1l;v+=4.T(e);6(v>=g)1l}}8 o=n-k+1;6(4.5.B!=\'1c\'&&o<1)o=1;6(4.Z&&a){b+=4.P;4.Z=F}4.P=7;6(4.5.B!=\'1c\'&&n==4.5.u&&(n-k+1)>=1){8 m=r.10(4.M(n),!4.5.W?\'1r\':\'1Y\');6((v-m)>g)4.P=v-g-m}1q(i-->o)b+=4.T(4.M(i));4.Y=4.C;4.12=4.G;4.C=o;4.G=n;z b},1p:9(p,a){6(4.Q||4.1a)z;4.1a=1g;8 b=4;8 c=9(){b.1a=F;6(p==0)b.t.y(b.E,0);6(b.5.B==\'1X\'||b.5.B==\'G\'||b.5.u==7||b.G<b.5.u)b.2z();b.1e();b.1Z(\'2A\')};4.1Z(\'3c\');6(!4.5.1H||a==F){4.t.y(4.E,p+\'U\');c()}X{8 o=!4.5.W?{\'2g\':p}:{\'2h\':p};4.t.1p(o,4.5.1H,4.5.24,c)}},2z:9(s){6(s!=L)4.5.1i=s;6(4.5.1i==0)z 4.1D();6(4.1f!=7)z;8 a=4;4.1f=3d(9(){a.19()},4.5.1i*3e)},1D:9(){6(4.1f==7)z;3f(4.1f);4.1f=7},1e:9(n,p){6(n==L||n==7){8 n=!4.Q&&4.5.u!==0&&((4.5.B&&4.5.B!=\'C\')||4.5.u==7||4.G<4.5.u);6(!4.Q&&(!4.5.B||4.5.B==\'C\')&&4.5.u!=7&&4.G>=4.5.u)n=4.P!=7&&!4.Z}6(p==L||p==7){8 p=!4.Q&&4.5.u!==0&&((4.5.B&&4.5.B!=\'G\')||4.C>1);6(!4.Q&&(!4.5.B||4.5.B==\'G\')&&4.5.u!=7&&4.C==1)p=4.P!=7&&4.Z}8 a=4;4.R[n?\'1y\':\'1R\'](4.5.2c,4.2n)[n?\'1t\':\'V\'](4.J(\'A-19-1E\')).20(\'1E\',n?F:1g);4.S[p?\'1y\':\'1R\'](4.5.2e,4.2o)[p?\'1t\':\'V\'](4.J(\'A-11-1E\')).20(\'1E\',p?F:1g);6(4.R.K>0&&(4.R[0].1h==L||4.R[0].1h!=n)&&4.5.1L!=7){4.R.14(9(){a.5.1L(a,4,n)});4.R[0].1h=n}6(4.S.K>0&&(4.S[0].1h==L||4.S[0].1h!=p)&&4.5.1M!=7){4.S.14(9(){a.5.1M(a,4,p)});4.S[0].1h=p}},1Z:9(a){8 b=4.Y==7?\'2q\':(4.Y<4.C?\'19\':\'11\');4.13(\'25\',a,b);6(4.Y!==4.C){4.13(\'26\',a,b,4.C);4.13(\'27\',a,b,4.Y)}6(4.12!==4.G){4.13(\'28\',a,b,4.G);4.13(\'29\',a,b,4.12)}4.13(\'2a\',a,b,4.C,4.G,4.Y,4.12);4.13(\'2b\',a,b,4.Y,4.12,4.C,4.G)},13:9(a,b,c,d,e,f,g){6(4.5[a]==L||(1U 4.5[a]!=\'2B\'&&b!=\'2A\'))z;8 h=1U 4.5[a]==\'2B\'?4.5[a][b]:4.5[a];6(!$.3g(h))z;8 j=4;6(d===L)h(j,c,b);X 6(e===L)4.M(d).14(9(){h(j,4,d,c,b)});X{1k(8 i=d;i<=e;i++)6(i!==7&&!(i>=f&&i<=g))4.M(i).14(9(){h(j,4,i,c,b)})}},1C:9(i){z 4.1P(\'<1v></1v>\',i)},1P:9(e,i){8 a=$(e).V(4.J(\'A-1b\')).V(4.J(\'A-1b-\'+i));a.20(\'3h\',i);z a},J:9(c){z c+\' \'+c+(!4.5.W?\'-3i\':\'-W\')},T:9(e,d){8 a=e.2C!=L?e[0]:e;8 b=!4.5.W?a.1F+r.10(a,\'2D\')+r.10(a,\'1r\'):a.2E+r.10(a,\'2F\')+r.10(a,\'1Y\');6(d==L||b==d)z b;8 w=!4.5.W?d-r.10(a,\'2D\')-r.10(a,\'1r\'):d-r.10(a,\'2F\')-r.10(a,\'1Y\');$(a).y(4.O,w+\'U\');z 4.T(a)},1o:9(){z!4.5.W?4.H[0].1F-r.I(4.H.y(\'3j\'))-r.I(4.H.y(\'3k\')):4.H[0].2E-r.I(4.H.y(\'3l\'))-r.I(4.H.y(\'3m\'))},3n:9(i,s){6(s==L)s=4.5.u;z 1n.3o((((i-1)/s)-1n.3p((i-1)/s))*s)+1}});r.17({3q:9(d){z $.17(q,d||{})},10:9(e,p){6(!e)z 0;8 a=e.2C!=L?e[0]:e;6(p==\'1r\'&&$.2r.2s){8 b={\'1w\':\'1x\',\'3r\':\'3s\',\'1N\':\'1i\'},21,22;$.2G(a,b,9(){21=a.1F});b[\'1r\']=0;$.2G(a,b,9(){22=a.1F});z 22-21}z r.I($.y(a,p))},I:9(v){v=3t(v);z 3u(v)?0:v}})})(3v);',62,218,'||||this|options|if|null|var|function||||||||||||||||||||list|size||||css|return|jcarousel|wrap|first|container|lt|false|last|clip|intval|className|length|undefined|get|div|wh|tail|locked|buttonNext|buttonPrev|dimension|px|addClass|vertical|else|prevFirst|inTail|margin|prev|prevLast|callback|each|scroll|visible|extend|parent|next|animating|item|circular|split|buttons|timer|true|jcarouselstate|auto|initCallback|for|break|hasClass|Math|clipping|animate|while|marginRight|fn|removeClass|before|li|display|block|bind|setup|pos|placeholder|create|stopAuto|disabled|offsetWidth|offset|animation|reloadCallback|buttonNextHTML|buttonPrevHTML|buttonNextCallback|buttonPrevCallback|width|ceil|format|funcResize|unbind|old|after|typeof|remove|scrollTail|both|marginBottom|notify|attr|oWidth|oWidth2|start|easing|itemLoadCallback|itemFirstInCallback|itemFirstOutCallback|itemLastInCallback|itemLastOutCallback|itemVisibleInCallback|itemVisibleOutCallback|buttonNextEvent|click|buttonPrevEvent|height|left|top|indexOf|skin|nodeName|ul|ol|funcNext|funcPrev|reload|init|browser|safari|window|resize|reset|empty|add|prepend|startAuto|onAfterAnimation|object|jquery|marginLeft|offsetHeight|marginTop|swap|new|normal|swing|UL|OL|find|class|children|load|prototype|0px|10px|lock|unlock|has|string|html|append|alert|jCarousel|No|set|items|This|will|cause|an|infinite|loop|Aborting|push|onBeforeAnimation|setTimeout|1000|clearTimeout|isFunction|jcarouselindex|horizontal|borderLeftWidth|borderRightWidth|borderTopWidth|borderBottomWidth|index|round|floor|defaults|float|none|parseInt|isNaN|jQuery'.split('|'),0,{}))

 
 /* jquery.cookie.js
--------------------------- */
jQuery.cookie=function(a,b,c){if(typeof b!='undefined'){c=c||{};if(b===null){b='';c.expires=-1}var d='';if(c.expires&&(typeof c.expires=='number'||c.expires.toUTCString)){var e;if(typeof c.expires=='number'){e=new Date();e.setTime(e.getTime()+(c.expires*24*60*60*1000))}else{e=c.expires}d='; expires='+e.toUTCString()}var f=c.path?'; path='+(c.path):'';var g=c.domain?'; domain='+(c.domain):'';var h=c.secure?'; secure':'';document.cookie=[a,'=',encodeURIComponent(b),d,f,g,h].join('')}else{var j=null;if(document.cookie&&document.cookie!=''){var k=document.cookie.split(';');for(var i=0;i<k.length;i++){var l=jQuery.trim(k[i]);if(l.substring(0,a.length+1)==(a+'=')){j=decodeURIComponent(l.substring(a.length+1));break}}}return j}};

/* fadetoggle */
jQuery.fn.fadeToggle = function(speed, easing, callback) { 
   return this.animate({opacity: 'toggle'}, speed, easing, callback); 
};

// jQueryRandom
jQuery.jQueryRandom=0;jQuery.extend(jQuery.expr[":"],{random:function(a,i,m,r){if(i==0){jQuery.jQueryRandom=Math.floor(Math.random()*r.length);};return i==jQuery.jQueryRandom;}});

/* equalHeight */
function equalHeight(group){var tallest=0;group.each(function(){var thisHeight=$(this).height();if(thisHeight>tallest){tallest=thisHeight;}});group.height(tallest);}


/* --------- --------- --------- --------- --------- --------- */

function networkGELE() {
	$fixiesitesearchA = $("#site-search");
	$fixiesitesearchB = $("#site-search fieldset input");	
		$(".network-ge-all").hide();
				if($("#network-ge-link").length >= 1) {
						$("#network-ge-link").click(function () {
								networkGELEtoggle();
								if($(".network-ge-all").is(":visible")) {
									equalHeight($(".equal-ge"));
									$fixiesitesearchA.css({"position":"static","z-index":"1"});
									$fixiesitesearchB.css({"position":"static","z-index":"1"});
								}
								return false;
						});
				}
				// tasto chiudi
				$("li.close-network a").click(function () {
						networkGELEtoggle();
								$fixiesitesearchA.css({"position":"relative","z-index":"20"});
								$fixiesitesearchB.css({"position":"relative","z-index":"999"});
				});
				// tasto Esc
				$(document).keydown(function(e){
						if(e.which == 27) {
								if($(".network-ge-all").is(":visible")) {
								networkGELEtoggle();
								$fixiesitesearchA.css({"position":"relative","z-index":"20"});
								$fixiesitesearchB.css({"position":"relative","z-index":"999"});
								}
						}
				});
}
function networkGELEtoggle(){
	$(".network-ge-all").fadeToggle();
	$("#header ul.network li.gele li.network-ge a").toggleClass("open");
}

/* ricerca slide nella testata */
function sitesearch() {
	option = "ul.site-search-option";
	searchform = "#site-search";
	input = "#site-input";
	inputdefault = $(input).val();
	radio = "view";
	msgerr = "Inserite almeno una parola per la ricerca";
	ref = "?ref=repsearch";
	
	light = "#dbdbdb";
	dark = "#222";

	$(input).attr("autocomplete","off");	
	/* opzioni toggle */
	$(input).bind("click keypress", function(){
		if ($(this).val() == inputdefault) {
			$(this).val("");
	}
		$(this).css({"color":dark});
		$(option).slideDown({height:"show",opacity:"show"},"fast");
	});
	
	$(searchform).bind("mouseleave", function(){
		if ($(input).val() == "") {
			$(input).val(inputdefault);
			$(input).css({"color":light});
		}
		$(option).slideUp({opacity:1.0},500).slideUp(375);
	});
	/* submit */
	$(searchform).submit(function() {
		radiochecked = $("input[name="+radio+"]:radio:checked").val();
		inputstatus = $(input).val();
		if(inputstatus == inputdefault || inputstatus == '' ) {
			alert(msgerr);
			return false;
		}
		
		switch (radiochecked) {
			case "web":
				action = "http://ricerca.repubblica.it/web?q="+escape(inputstatus);
			break;
			default:
				action = "http://ricerca.repubblica.it/repubblica?query="+escape(inputstatus)+"&amp;view="+radiochecked;
		}
		$(searchform).attr("action",action);
	});
} // /sitesearchction networkGELEtoggle(){ $(".network-ge-all").fadeToggle(); $("#header ul.network li.gele li.network-ge a").toggleClass("open");}

//tab
function tab(div,tabattivo,intervallo) {
	if(typeof tabattivo == 'undefined') tabattivo = 1;
	if(typeof intervallo == 'undefined') intervallo = null;
	if($("#"+div+"-nav").length == 1) {
		new Yetii({ id: div, active: tabattivo, interval: intervallo});
	} else {
		$("#"+div).hide();
	}
}


function thumb_ul_icons(el){
    if($(el).size()) {
        $(el+" li:has(img)").each(function (i) {
            if($(this).find("img")) {
                $(this).append('<span class="media-'+$(this).attr("class")+'"> </span>');
            }
        });
    }
}

// collapse della pubblicita
function collapse(delay) {
	typeof delay == "undefined" ? delay = 1000 : delay;
	window.setTimeout(function() {
		advminheight = "19";
		$(".adv").each(function () {
			if($(this).height() < advminheight) {
				$(this).hide();
			}
		});
	}, delay );
};

function footnotes(label){
	footnote = 1;
	$(".body-text a").not(".sidebar a, .adv a, .archive-button a, li a, blockquote a, cite a, table a").addClass("footnote");
	if($(".footnote").length != 0) {
		$(".index-link").html('<ol class="page-content-related"><li class="label">'+label+'</li>');	
	}
		$(".footnote").each(function() {
			$(this).append(" <sup>"+footnote+"</sup>");
			cite = '<li><a href="'+$(this).attr("href")+'"><span>'+footnote+'.</span> <strong>'+$(this).html()+'</strong> &mdash; '+$(this).attr("href")+'</a></li>';
			$(".index-link ol").append(cite);
			footnote++;
		});
}


function utilitytools(){
//	breadcrumb('>');
	sharesocial();
	shareemail();
	toolscomments();
	fontsize();
}

function sharesocial() {
	var url = encodeURIComponent(window.location.href);
	var title = encodeURIComponent(document.title);
	//twitter usiamo il titolo dal metatag titolo per risparmiare i 21 caratteri di '- Repubblica.it'
	var titleTwitter = encodeURIComponent($('meta[name=titolo]').attr("content"));

	this.siti = {
		'facebook':		{display: 'Facebook',		url: 'http://www.facebook.com/share.php?u={u}&amp;t={t}'},
		'oknotizie':	{display: 'OKNOtizie',		url: 'http://oknotizie.alice.it/post?url={u}&amp;title={t}'},
		'googlebuzz':	{display: 'Google Buzz', 	url: 'http://www.google.com/buzz/post?url={u}'},
		'twitter':		{display: 'Twitter',	 	url: 'http://twitter.com/share?url={u}&amp;via=repubblicait&amp;text='+titleTwitter}
	};

	listitem = '';
	for(var item in siti) {
		var value = siti[item];
		listitem += "<li class=\"share-"+item+"\"><a href=\""+value['url'].replace(/{u}/, url).replace(/{t}/, title)+"\" title=\"Segnala su "+value['display']+"\" target=\"_blank\">"+value['display']+"</a></li>\n";
	}
	$("ul.utility-tools").append(listitem);

}
	
	function shareemail(subject,selector) {
		var _euc = encodeURIComponent;
		typeof selector == "undefined" ? selector = "ul.utility-tools li.tools-email a" : selector;
		typeof subject == "undefined" ? subject = "Articolo di Repubblica.it" : subject;
	
		$(selector).click(function() { 
			var link = 'mailto:?subject='+_euc(subject)+'&body='+ _euc(subject +':\n\n'+ document.title + '\n' + window.location.href);
			$(this).attr({href: link});
		});
	}
	
	function toolscomments() {
		if(typeof threadProperties!= 'undefined' && $("li.tools-comments")>0) {
			if(typeof threadProperties.msgCount != 'undefined') {
				typeof toolscommentstext == "undefined" ? toolscommentstext = 0 : toolscommentstext;
				switch (true) {
					case (toolscommentstext > 1):
						txt = toolscommentstext + " commenti";
					break;
					case (toolscommentstext == 1):
						txt = "Un Commento";
					break;
					default:
						txt = "Commenta";
				}
				$("li.tools-comments a").html(txt);
			}
		} else {
			$("li.tools-comments").remove();
			$("li.tools-print").addClass("tools-print-extramargin");
		}
	}
	
	function fontsize(sizemin,sizemax) {
		typeof sizemin == "undefined" ? sizemin = 14 : sizemin;
		typeof sizemax == "undefined" ? sizemax = 24 : sizemax;
	
		$selector = $(".body-text").not(".sidebar,.adv,.sidebar a, .adv a, p.disclaimer");
	
		if($.cookie('repubblica_fontsize')) {
			tmp_size = 	$.cookie('repubblica_fontsize').split("|");
			$selector.css({"font-size" : tmp_size[0], "line-height":tmp_size[1]});
		}
	
	//	Aumenta Testo
		$('.tools-fontincrease a').click(function(){
			if(parseFloat($selector.css('font-size'),10) < sizemax ) {
				$selector.css({"font-size" : parseFloat($selector.css('font-size'),10)+1+"px", "line-height":parseFloat($selector.css('line-height'),10)+1+"px"});
			$.cookie('repubblica_fontsize',Number(parseFloat($selector.css('font-size'),10)+1)+'px|'+Number(parseFloat($selector.css('line-height'),10)+1)+'px');
			};
		});
	
		//	Diminuisci Testo
		$('.tools-fontdecrease a').click(function(){
			if(parseFloat($selector.css('font-size'),10) > sizemin ) {
				$selector.css({"font-size" : parseFloat($selector.css('font-size'),10)-1+"px", "line-height":parseFloat($selector.css('line-height'),10)-1+"px"});
				$.cookie('repubblica_fontsize',Number(parseFloat($selector.css('font-size'),10)-1)+'px|'+Number(parseFloat($selector.css('line-height'),10)-1)+'px');
				};
		});
	}	
	
	

	function breadcrumb(divider) {
		typeof divider == "undefined" ? divider = " / " : divider;
		$("ul.breadcrumb li:has(a)").append(divider);
		if(typeof term!='undefined' && term !=null &&	(term == '/repubblica/ambiente')) {
		  $("div.utility").addClass("utility-albero-ambiente");
		  $("ul.breadcrumb").css({paddingLeft:"35px"});
		}
	}


/* Topic Sliding */
function topics(){
	$('.topic-carousel li.cycle ul').jcarousel({
		visible: 4,
		auto: 0,
		initCallback: controlli_topic,
		scroll:1,
		animation: 'fast',
		wrap: 'last',
		buttonNextHTML: null,
		buttonPrevHTML: null
	});
	$(".topic-carousel li.cycle ul li:has(img) a").parent().addClass("has-img");
	$(".topic-carousel li.cycle ul li").each(function(index) {
   		$(this).prepend("<span>"+(index+1)+"</span>");
	});

}

function controlli_topic(carosello){
	$('.topic-carousel li.arrow li.arrow-left a').click(function() {
		carosello.prev();
		return false;
	});
	
	$('.topic-carousel li.arrow li.arrow-right a').click(function() {
		carosello.next();
		return false;
	});
}

function hideHistoryElement(id) {
    if(typeof id!=undefined) {
     idElement = "#history_"+id;
      if($(idElement).length!=0) {
        $(idElement).remove();
        lastObj = $("ul#history li:last");
        if(typeof lastObj!=undefined && !lastObj.hasClass("last")) {
          $("ul#history li:last").addClass("last");
        }
      }
    }
}


function fixfooteradv(){
	if($(".adv-top3 a").size()) {
		$("#footer").addClass("fixfooter-domination");
	}
}

function smallresolution(width) {
	width = parseInt(width);
	if (width < 1024) {
		$("body").addClass("fix1024");
	} else {
		$("body").removeClass("fix1024");
	}
}

function likebutton() {
	$(document).ready(function() {
		var addLike = function(){
			try{ 
			
				var href = "";
				if($("link[rel='canonical']").length>0) {
					var canonical = $("link[rel='canonical']").attr("href");
					if(typeof canonical!='undefined' && $.trim(canonical)!="") {
						href = 'href="'+canonical+'"';
					}
				}
			
				if($('#fb-like-head').length != 0) 
					$('#fb-like-head').html('<fb:like name="platform" '+href+' layout="button_count" show_faces="true" width="200" action="recommend" colorscheme="light" height="21" id=""></fb:like>');
				if($('#fb-like-foot').length != 0)
					$('#fb-like-foot').html('<fb:like name="platform" '+href+' layout="standard" show_faces="false" width="450" action="recommend" font="arial" colorscheme="light" height="35" ></fb:like>');
				if($('#fb-like-head-dirette').length != 0)
					$('#fb-like-head-dirette').html('<fb:like name="platform" '+href+' layout="standard" show_faces="false" width="300" action="recommend" font="arial" colorscheme="light" height="50" ></fb:like>');
			}  catch(e){}						
		}
		
		var invited = false;
		if(window.RenderSocial !== undefined){
			invited = RenderSocial.isInvited("detail");
		}
		if(!invited){
			if($('#fb-root').length!=0){		
		        window.fbAsyncInit = function() {
		           FB.init({appId: '182234715127717', status: true, cookie: true,
		                   xfbml: true});
					addLike();
		
		        };
		        (function() {
		          var e = document.createElement('script'); e.async = true;
		          e.src = document.location.protocol +
		            '//connect.facebook.net/it_IT/all.js';
		          document.getElementById('fb-root').appendChild(e);
		        }());
			}
		} else {
			GeleSocial.addInitCallback(addLike);			
		}
	});
}

function contentsenseRender() {
	if($.isFunction($().contentSense)) {
		if(typeof term!='undefined' && term !=null && 
				(term.indexOf('/repubblica/economia')!=-1 || term.indexOf('/repubblica/politica')!=-1 ||
				term.indexOf('/repubblica/cronaca')!=-1 || term.indexOf('/repubblica/esteri')!=-1)) {
			$("#box_supermoney_300").contentSense({
				parameters: {fornitore:"supermoney",
							sito:"repubblica",
							template:"repubblica.300.250.all",
							ambito:"assicurazioni",
							destinatario:"giovani"},
				type: "html"
			});
		}
	}
}

function twitterButton(id, html) {
	var defaultHtml = "<a href=\"http://twitter.com/share\" class=\"twitter-share-button\" data-count=\"horizontal\" data-via=\"repubblicait\" data-lang=\"it\">Tweet</a><scr"+"ipt type=\"text/javascript\" src=\"http://platform.twitter.com/widgets.js\"></script"+">";
	typeof id == 'undefined' ? id = ".twitter-button" : id;
	typeof html == 'undefined' ? html = defaultHtml : html;
	if($(id).length>0) {
			$(id).html(html);
	}
}

function googlePlusButton(ids) {
	if(typeof ids!='undefined') {
		$.getScript('https://apis.google.com/js/plusone.js', function(){
			$.each(ids, function(id, settings) {
				if(typeof id!='undefined' &&  typeof settings!='undefined' && 
						$.trim(id)!="" && $("#"+id).length>0) {
					gapi.plusone.render(id, settings);
				}
			});
		});
	}
}


/* social */
function social() {
	if($.isFunction(RenderSocial) && $.isFunction(RenderSocial.initDetail)) {
		RenderSocial.initDetail();
	}
}

/* Fai di Repubblica la tua homepage */
function sethomepage() {
	if ( $.browser.msie ) {
	  $('#sethomepage').attr('href', '');
	  $('#sethomepage').click( function() { 
	      this.style.behavior='url(#default#homepage)'; 
	      this.setHomePage('http://www.repubblica.it');
	  });
	}
}
