var mappingCategory = {
                       "/repubblica":1,
                       "/repubblica/cronaca":2,
                       "/repubblica/ambiente":3,
                       "/repubblica/tecnologia":4,
                       "/repubblica/politica":5,
                       "/repubblica/scuola":6,
                       "/repubblica/economia":7,
                       "/repubblica/sport":8,
                       "/repubblica/gallerie":9,
                       "/repubblica/tecnologia":10,
                       "/repubblica/esteri":11,
                       "/repubblica/spettacoli-e-cultura":12,
                       "/repubblica/speciali/cinema/venezia": 12,
                       "/repubblica/speciali/arte":13,
                       "/repubblica/scienze":14,
                       "/repubblica/persone":15,
                       "/repubblica/economia/2010/06/18/news/i_tuoi_calcolatori-4941696/":16,
                       "/repubblica/economia/2010/06/18/news/calcolatore_pensione-4941765/":17,
                       "/repubblica/static/speciale/2011/economia/glossario":18,
                       "/rep-roma/cronaca":19,
                       "/repubblica/salute":20,
                       "/repubblica/salute/alimentazione":21,
                       "/repubblica/salute/forma-e-bellezza":22,
                       "/repubblica/salute/medicina":23,
                       "/repubblica/salute/prevenzione":24,
                       "/repubblica/salute/ricerca":25,
                       "/repubblica/salute/benessere-donna":26,
                       "/repubblica/solidarieta":27,
                       "/repubblica/solidarieta/emergenza":28,
                       "/repubblica/solidarieta/cooperazione":29,
                       "/repubblica/solidarieta/profughi":30,
                       "/repubblica/solidarieta/volontariato":31,
                       "/repubblica/solidarieta/equo-e-solidale":32,
                       "/repubblica/solidarieta/cibo-e-ambiente":33,
                       "/repubblica/solidarieta/immigrazione":34,
                       "/repubblica/solidarieta/ong":35,
                       "/repubblica/speciali/universita":36,
                       "/repubblica/speciali/sanremo/edizione":37,
                       "/repubblica/speciali/cinema/oscar/edizione":37,
                       "/repubblica/speciali/altri/ginevra":38,
                       "/repubblica/speciali/motori/seat/edizione":39,
                       "/repubblica/tvrep":40,
                       "/repubblica/speciali/motori/millemiglia/edizione":41,
                       "/repubblica/speciali/scuola/maturita/edizione":42,
                       "/repubblica/speciali/cinema/venezia/edizione":43,
                       "/repubblica/speciali/salute/viverla-tutta/edizione":44,
                       "/repubblica/speciali/cinema/roma/edizione":45,
                       "/repubblica/speciali/motori/salone-ciclo/edizione":39,
                       "/repubblica/speciali/spettacoli/la-scala/edizione":46,
                       "/repubblica/speciali/motori/nissan/edizione":47,
                       "/repubblica/speciali/motori/salone-ginevra/edizione":48,
                       "/repubblica/speciali/motori/citroen-ds5/edizione":49,
                       "/repubblica/speciali/motori/peugeot-208/edizione":50,
                       "/repubblica/speciali/motori/land-rover/edizione":51
                      };

var categoryLabels = {
                        1:["home"],
                        2:["cronaca","home"],
                        3:["ambiente","home"],
                        4:["tecnologia","home"],
                        5:["politica"],
                        6:["scuola_e_giovani","home"],
                        7:["affari-e-finanza","economia"],
                        8:["sport"],
                        9:["foto","home"],
                        10:["tecnologia","home"],
                        11:["esteri","home"],
                        12:["spettacoli_e_cultura"],
                        13:["spettacoli_e_cultura","arte"],
                        14:["scienze","home"],
                        15:["spettacoli_e_cultura","persone"],
                        16:["affari-e-finanza","calcolatori"],
                        17:["affari-e-finanza","calcolatori"],
                        18:["affari-e-finanza","glossario"],
                        19:["cronaca"],
                        20:["salute"],
                        21:["salute","alimentazione"],
                        22:["salute","forma-bellezza"],
                        23:["salute","medicina"],
                        24:["salute","prevenzione"],
                        25:["salute","ricerca"],
                        26:["salute","benessere-donna"],
                        27:["solidarieta","home"],
                        28:["emergenza","solidarieta","home"],
                        29:["cooperazione","solidarieta","home"],
                        30:["profughi","solidarieta","home"],
                        31:["volontariato","solidarieta","home"],
                        32:["equo_e_solidale","solidarieta","home"],
                        33:["cibo_e_ambiente","solidarieta","home"],
                        34:["immigrazione","solidarieta","home"],
                        35:["solidarieta","ong"],
                        36:["scuola_e_giovani","home"],
                        37:["spettacoli_e_cultura"],
                        38:["motori"],
                        39:["motori"],
                        40:["tvrep","home"],
                        41:["motori"],
                        42:["scuola_e_giovani","home"],
                        43:["spettacoli_e_cultura"],
                        44:["salute"],
                        45:["spettacoli_e_cultura"],
                        46:["spettacoli_e_cultura"],
                        47:["motori"],
                        48:["motori"],
                        49:["motori"],
                        50:["motori"],
                        51:["motori"]
                    };


function activeNavigation(mappingCategory, categoryLabels) {
    if(typeof term!= undefined) {
        term = $.trim(term);
        for (termItem in mappingCategory) {
            termItem = $.trim(termItem);
            if(term.indexOf(termItem)>=0) {
                var index = mappingCategory[termItem];
                labelArray = categoryLabels[index];
            }
        }

        if(typeof labelArray!='undefined' && labelArray.length>0) {
            for(i=0; i<labelArray.length; i++) {
                if($("ul.nav li#nav_"+labelArray[i]).length!=0) {
                    $("ul.nav li#nav_"+labelArray[i]).addClass("active");
                }
            }
        }
    }
}

$(document).ready(function() {
    activeNavigation(mappingCategory,categoryLabels);
});