/* ------------------------------------------------------------------------
Project:    The Social
Required:   jquery, gelesocial.js
Copyright:  2011 - Gruppo editoriale L'Espresso spa
Developers:
            M. Viganò, F. Zanchetta, G. Bottini, L. Convalle,
            E. Sabellico, E. Matteoli, L. "saibal" Forti
------------------------------------------------------------------------- */
if(!RenderSocial) RenderSocial = {}

RenderSocial.statusBar = {

    cookieName: "status_bar_visible"
    //,noFixed: ['iPad','iPhone','iPod', 'Android']

    ,initStatusBar: function(){

        html = '<!-- start toolbar social -->'+
            '<div id="'+ RenderSocial.TOOLBAR_SOCIAL_ID +'" style="height: 30px;">'+
                '<div class="'+ RenderSocial.TOOLBAR_SHOWHIDE_CLASS +' '+ RenderSocial.SHOWHIDE_OFF_CLASS +'" style="bottom: -50px;">'+
                    '<a rel="Mostra la toolbar" class="tooltip t-right" href="javascript:void(0)">Mostra</a>'+
                '</div>'+
                '<div class="'+ RenderSocial.STATUS_BAR_CLASS +'" style="bottom:-50px;" >'+
                    '<div class="from-breakingnews" id="'+ RenderSocial.BREAKING_NEWS_ID +'" style="display:none"></div>'+
                    '<div class="toolbar-boxes from-mynews" id="'+ $.neodata.NEODATA_KEYWORDS_FE_BOX +'"></div>'+
                    '<div class="toolbar-boxes from-mynews" id="'+ $.neodata.NEODATA_PERTE_FE_BOX +'"></div>'+
                    '<div class="toolbar-boxes link-repubblica-blu"><a href="https://apps.facebook.com/gsrepubblica/" onclick="window.open(this.href);return false;">Repubblica Blu</a></div>' + 
                    '<div class="toolbar-boxes from-facebook" id="'+ $.neodata.FACEBOOK_FE_BOX +'"></div>'+
                    '<div class="'+ RenderSocial.TOOLBAR_SHOWHIDE_CLASS +'">'+
                        '<a rel="Nascondi la toolbar" class="tooltip t-right" href="javascript:void(0)">Nascondi</a>'+
                    '</div>'+
                    '<div class="access" id="'+ RenderSocial.USER_ACCESS_ID +'"></div>'+
                '</div>'+
            '</div>'+
            '<!-- end toolbar social -->'+
            '<div class="clear"></div>';
        this.statusBar = jQuery(html);
        this.statusBar.find("."+RenderSocial.TOOLBAR_SHOWHIDE_CLASS).click(function(){
            RenderSocial.statusBar.toggleStatusBarVisibility();
            return false;
        });
        var visible = this.getCookie();
        this.setStatusBarVisibility(visible);
        jQuery("body").append(this.statusBar);
        RenderSocial.statusBar.initMenu();

        this.cookieListener = {
                onCookieSet: function(name, value){
                    /*
                    if(name==$.neodata.LOCALI_COOKIE_NAME){
                        $.neodata.statusbar.edizioniLocaliFELogged();
                        $.neodata.statusbar.edizioniLocaliBELogged();
                    } else
                    */
                    if(name==$.neodata.KEYWORDS_COOKIE_NAME){
                        $.neodata.statusbar.neodataSuggestFELogged();
                        $.neodata.statusbar.neodataSuggestBELogged();
                    }else if(name==$.bookmark.COOKIE_NAME){
                        $.neodata.statusbar.neodataSuggestBELogged();
                    }
                }
                ,onCookieDeleted: function(name){
                    this.onCookieSet(name);
                }
        }
        GeleSocial.addCookieListener(this.cookieListener);


		/*if(jQuery.grep(RenderSocial.statusBar.noFixed, function(e,i){
					return navigator.platform.indexOf(e)>=0; 
			}).length > 0){
		
			var toolbar = jQuery("#" + RenderSocial.TOOLBAR_SOCIAL_ID);
			toolbar.addClass("no-fixed");
			var endPositioning = function(eventTime){
				//if(eventTime != RenderSocial.statusBar.__lastEvent) return;
				toolbar.css('display','block');
			    var toolbarHeight = toolbar.outerHeight();
			    var top = $(document).scrollTop();
			    var height = window.innerHeight ? window.innerHeight : $(window).height();
			    toolbar.css({"top": (top + height - toolbarHeight) + "px"});
		    } 
			var startPositioning = function(){
				//var eventTime = new Date();
				//RenderSocial.statusBar.__lastEvent = eventTime;
				toolbar.css('display','none');
				//setTimeout(function(){positionToolbar1(eventTime)}, 200);
				//return true;
			}
			//positionToolbar1();
			jQuery(document).bind('touchstart gesturestart', startPositioning);
			jQuery(document).bind('touchend gestureend orientationchange', endPositioning);
		}*/

        //nascosta per il momento perchè dava un errore
        //http://redmine.kataweb.it/issues/236
        if(RenderSocial.BREAKING_NEWS && false){
            $.ajax({
              url: RenderSocial.BREAKING_NEWS,
              success: function(ultimora){
                var html = "<a title=\"Leggi l’ultimissima sulla homepage di Repubblica.it\" class=\"tooltip\" href=\"javascript:void(0)\">"+ultimora+"</a>";
                RenderSocial.statusBar.statusBar.find("#"+RenderSocial.BREAKING_NEWS_ID).html(html);
                $("#"+RenderSocial.BREAKING_NEWS_ID).show();
              }
            });
        }
    }

    ,getCookie: function(){
        if(GeleSocial.isLogged()){
            var ret = GeleSocial.getBoxCookie(this.cookieName);
            if(ret && ret.params) ret = ret.params;
            else ret = null;
        } else {
            var ret = GeleSocial.getCookie(this.cookieName);
        }
        if(ret) return ret=="true";
        else return true;
    }

    ,setCookie: function(value){
        if(GeleSocial.isLogged()){
            return GeleSocial.setBoxCookie(this.cookieName, {"params": value.toString()});
        } else {
            return GeleSocial.setCookie(this.cookieName, value.toString(), 30, RenderSocial.COOKIE_DOMAIN, RenderSocial.COOKIE_PATH);
            //return jQuery.cookie(this.cookieName, value.toString(), { expires: 30 });
        }
    }

    ,toggleStatusBarVisibility: function(n){
        GeleSocial.log("toggleStatusBarVisibility:"+n);
        this.setStatusBarVisibility(!this.visible);
        this.setCookie(this.visible);
    }

    ,setStatusBarVisibility: function(visible,noAnimation){
        GeleSocial.log("visible:"+visible);
        if(GeleSocial.utils.isNull(noAnimation)) noAnimation=false;

        if(visible){
            GeleSocial.log("visible:"+visible);
            //mostro
            GeleSocial.log("mostro");
            if(noAnimation){
                this.statusBar.find('.'+RenderSocial.STATUS_BAR_CLASS).css({ bottom: '0' });
                this.statusBar.find("."+RenderSocial.SHOWHIDE_OFF_CLASS).css({ bottom: '-50px' });
            }else {
                this.statusBar.find('.'+RenderSocial.STATUS_BAR_CLASS).animate({ bottom: '0' }, 500);
                this.statusBar.find("."+RenderSocial.SHOWHIDE_OFF_CLASS).animate({ bottom: '-50px' }, 300);
            }
        } else {
            //nascondo
            GeleSocial.log("nascondo");
            this.hideAllPopups();
            if(noAnimation){
                this.statusBar.find("."+RenderSocial.STATUS_BAR_CLASS).css({ bottom: '-50px' });
                this.statusBar.find('.'+RenderSocial.SHOWHIDE_OFF_CLASS).css({ bottom: '0' });
            }else {
                this.statusBar.find("."+RenderSocial.STATUS_BAR_CLASS).animate({ bottom: '-50px' }, 300);
                this.statusBar.find('.'+RenderSocial.SHOWHIDE_OFF_CLASS).animate({ bottom: '0' }, 500);
            }
        }
        this.visible = visible;
        GeleSocial.log("this.visible:"+this.visible);
    }

    ,renderUserAccess: function(){
        var statusBar = this.statusBar;



        var name = GeleSocial.fbGetName(GeleSocial.status.user);
        var img = RenderSocial.BASEURL_SOCIAL+"img/nobody.gif";
        if(GeleSocial.isLoggedFb())
            img = "https://graph.facebook.com/" + GeleSocial.status.fb.id + "/picture";

        var userHtml =  '<div class="claim poll"><a href="http://www.facebook.com/share.php?u=http%3A%2F%2Fwww.repubblica.it%2Fsocial%2Fsites%2Frepubblica%2Fnazionale%2Finvitation_landing.php" onclick="GeleSocial.openWindow(this.href, \'facebook-share\');return false">Invita i tuoi amici</a></div>' +
        				"<a href=\""+RenderSocial.FRIENDS_ACTIVITY+"\" class=\"access-profile t-right\">"+
                        "<img height=\"22\" width=\"22\" alt=\""+name+"\" src=\""+img+"\" \/>"+
                        name+"</a>";


        userHtml += "<a title=\"Esci\" href=\"javascript:GeleSocial.logOut()\" class=\"access-logout\">Logout</a>";

        statusBar.find("#"+RenderSocial.USER_ACCESS_ID).html(userHtml);
    }

    ,renderLogged: function(){
        this.initStatusBar();

        this.renderUserAccess();

        //edizioniLocaliHtml
        //$.neodata.statusbar.edizioniLocaliFELogged();

        //neodataSuggest
        $.neodata.statusbar.neodataSuggestFELogged();

        //fbActivity
        $.neodata.statusbar.facebookRecommendationsFE();

        $("."+RenderSocial.STATUS_BAR_CLASS).addClass("logged");
    }

    ,setPopupVisible: function(name, visible){
        if(visible)
            this.popupVisible = name;
        else
            delete this.popupVisible;

        var code_id = "#"+$("#"+name).children(RenderSocial.TOOLBAR_SOCIAL_CONTAINER_CLASS).attr("id");

        $(RenderSocial.TOOLBAR_SOCIAL_CONTAINER_CLASS).not(code_id).hide("fast");
        if(visible){
            /*
            if(name == $.neodata.LOCALI_FE_BOX){
                if(GeleSocial.isLogged())
                    $.neodata.statusbar.edizioniLocaliBELogged();
                else
                    $.neodata.statusbar.edizioniLocaliBENotLogged();
            }else
            */
            if(name == $.neodata.NEODATA_KEYWORDS_FE_BOX || name == $.neodata.NEODATA_PERTE_FE_BOX){
                if(GeleSocial.isLogged()){
                    if(name == $.neodata.NEODATA_KEYWORDS_FE_BOX){
                    	$("."+$.neodata.NEODATA_BALOON_CLASS).hide();
                    }
                    $.neodata.statusbar.neodataSuggestBELogged();
                }else
                    $.neodata.statusbar.neodataSuggestBENotLogged();
            }else if(name == $.neodata.FACEBOOK_FE_BOX){
                if(GeleSocial.isLogged())
                    $.neodata.statusbar.facebookRecommendationsBELogged();
                else
                    $.neodata.statusbar.facebookRecommendationsBENotLogged();
            }
            if(GeleSocial.isLogged()){
	            if(name == $.neodata.NEODATA_KEYWORDS_FE_BOX){
	                 $("."+$.neodata.NEODATA_BALOON_CLASS).hide();
	            } else {
	            	 $("."+$.neodata.NEODATA_BALOON_CLASS).show();
	            }           
            }
            $(code_id).show("fast");
        } else{
            if(name == $.neodata.NEODATA_KEYWORDS_FE_BOX){
                if(GeleSocial.isLogged())
                    $("."+$.neodata.NEODATA_BALOON_CLASS).show();
            }
            $(code_id).hide("fast");
        }
    }

    ,hideAllPopups: function(){
        if(this.popupVisible){
            $(RenderSocial.TOOLBAR_SOCIAL_CONTAINER_CLASS).hide("fast");
            delete this.popupVisible;
            if(GeleSocial.isLogged())
            	$("."+$.neodata.NEODATA_BALOON_CLASS).show();
        }
    }

    ,initMenu: function(){

        var _this = this;
        $('.toolbar-boxes').click(function(){
                var code_id = $(this).attr('id');
                _this.setPopupVisible(code_id, code_id!=_this.popupVisible);
        });

        $('.'+$.neodata.SB_BOXES_CLOSE_CLASS).live('click',function(){
            RenderSocial.statusBar.hideAllPopups();
        });

    }

    ,renderNotLogged: function(){
        this.initStatusBar();
        
        //edizioniLocaliHtml
        //$.neodata.statusbar.edizioniLocaliFENotLogged();

        //neodataSuggest
        $.neodata.statusbar.neodataSuggestFENotLogged();

        //fbActivity
        $.neodata.statusbar.facebookRecommendationsFE();

        $("."+RenderSocial.STATUS_BAR_CLASS).addClass("not-logged");
       
       
 		//var claim = GeleSocial.getCookie('status_bar_claim');
 		var claim = true;  
        var txt = '<div style="position:relative;"><a class="login-modal t-right" href="javascript:void(0);">Accedi</a>';
		if(!claim){
			var message = ["Vivi Repubblica.it in modo personalizzato", "Controlla gli articoli consigliati per te", "Segui i temi che più ti interessano"];
			message = message[Math.floor(Math.random() * message.length)];
			txt += '<div class="from-different-box"><div class="claim-box-content"><h3><a href="javascript:void(0)">' + message + '. <strong>Scopri come</strong></a></h3><a class="personalizza" href="javascript:void(0)">[chiudi]</a></div></div>';			
		}
		txt += "</div>";


        RenderSocial.renderLoginString($("#"+RenderSocial.USER_ACCESS_ID), txt);
        
        if(!claim){
        	var noclaim = function(){
				GeleSocial.setCookie('status_bar_claim', 'false', 30, RenderSocial.COOKIE_DOMAIN, RenderSocial.COOKIE_PATH);    		
        	}
        	
        	$("#"+RenderSocial.USER_ACCESS_ID).find(".personalizza").click(function(){
        		$(this).parent().parent().hide();
        		noclaim();
        	});
        	$("#"+RenderSocial.USER_ACCESS_ID).find(".claim-box-content h3").click(function(){
        		GeleSocial.showBenefits();
        		$(this).parent().parent().hide();
        		noclaim();
        	});
        }
    }
}